function [w12L, w12U] = MC1(x1, x2, x1L, x1U, x2L, x2U)
% function [w12L w12U] = MC1(x1, x2, x1L, x1U, x2L, x2U)
% Computes the lower and upper bounds for w12 = x1 * x2
% with x1 in [x1L, x1U] and x2 in [x2L, x2U]
% based on McCormick relaxations 
% Carrilho - 21 Jan 2015
% 

MU1 = x1L*x2+x2U*x1-x1L*x2U;
MU2 = x1U*x2+x2L*x1-x1U*x2L;
ML1 = x1L*x2+x2L*x1-x1L*x2L;
ML2 = x1U*x2+x2U*x1-x1U*x2U;

w12L = max([ML1, ML2]);
w12U = min([MU1, MU2]);
